Attribute VB_Name = "Module1"
Option Explicit

Declare Function ShowCursor Lib "user32" (ByVal bShow As Long) As Long

Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As String, ByVal lpFileName As String) As Long
Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long

Global giCursorDepth As Integer
Global giBeepBox As Integer
Sub Main()
Dim sBeepBox As String
Dim i As Integer
Dim iSize As Integer

If App.PrevInstance Then End

sBeepBox = "        " ' 8 spaces
iSize = 8
If InStr(Command, "/s") > 0 Then
    CursorOff
    i = GetPrivateProfileString("Screen Saver.Boxes", "BeepBox", "TRUE", sBeepBox, iSize, "CONTROL.INI")
    If UCase(Left(sBeepBox, 4)) = "TRUE" Then
        giBeepBox = True
    Else
        giBeepBox = False
    End If
    frmScreenSaver.Show
ElseIf InStr(Command, "/c") > 0 Then
    frmSetup.Show 1
End If

End Sub

Public Sub EndScreenSaver()
CursorOn
End
End Sub


Public Sub Sleep(SnoozeTime As Double)
Dim Start As Double
Start = Timer   ' Set start time.
Do While Timer < (Start + SnoozeTime)
   DoEvents    ' Yield to other processes.
Loop
End Sub


Public Sub CursorOn()
Dim CurrentCursorDepth As Integer

CurrentCursorDepth = ShowCursor(True)
Do While CurrentCursorDepth < giCursorDepth
    CurrentCursorDepth = ShowCursor(True)
Loop
End Sub

Public Sub CursorOff()
Dim CurrentCursorDepth As Integer

CurrentCursorDepth = ShowCursor(False)
giCursorDepth = CurrentCursorDepth + 1 'Restore original value
Do While CurrentCursorDepth > -1
    CurrentCursorDepth = ShowCursor(False)
Loop

End Sub

